my $expected_version = "0.8";
print("import: Heap\n");
use Heap;

if (defined Heap->VERSION) {
	my $given_version = Heap->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Heap->VERSION . '
');

}
print("import: Heap::Binary\n");
use Heap::Binary;

if (defined Heap::Binary->VERSION) {
	my $given_version = Heap::Binary->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Heap::Binary->VERSION . '
');

}
print("import: Heap::Binomial\n");
use Heap::Binomial;

if (defined Heap::Binomial->VERSION) {
	my $given_version = Heap::Binomial->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Heap::Binomial->VERSION . '
');

}
print("import: Heap::Elem\n");
use Heap::Elem;

if (defined Heap::Elem->VERSION) {
	my $given_version = Heap::Elem->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Heap::Elem->VERSION . '
');

}
print("import: Heap::Elem::Num\n");
use Heap::Elem::Num;

if (defined Heap::Elem::Num->VERSION) {
	my $given_version = Heap::Elem::Num->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Heap::Elem::Num->VERSION . '
');

}
print("import: Heap::Elem::NumRev\n");
use Heap::Elem::NumRev;

if (defined Heap::Elem::NumRev->VERSION) {
	my $given_version = Heap::Elem::NumRev->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Heap::Elem::NumRev->VERSION . '
');

}
print("import: Heap::Elem::Ref\n");
use Heap::Elem::Ref;

if (defined Heap::Elem::Ref->VERSION) {
	my $given_version = Heap::Elem::Ref->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Heap::Elem::Ref->VERSION . '
');

}
print("import: Heap::Elem::RefRev\n");
use Heap::Elem::RefRev;

if (defined Heap::Elem::RefRev->VERSION) {
	my $given_version = Heap::Elem::RefRev->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Heap::Elem::RefRev->VERSION . '
');

}
print("import: Heap::Elem::Str\n");
use Heap::Elem::Str;

if (defined Heap::Elem::Str->VERSION) {
	my $given_version = Heap::Elem::Str->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Heap::Elem::Str->VERSION . '
');

}
print("import: Heap::Elem::StrRev\n");
use Heap::Elem::StrRev;

if (defined Heap::Elem::StrRev->VERSION) {
	my $given_version = Heap::Elem::StrRev->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Heap::Elem::StrRev->VERSION . '
');

}
print("import: Heap::Fibonacci\n");
use Heap::Fibonacci;

if (defined Heap::Fibonacci->VERSION) {
	my $given_version = Heap::Fibonacci->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Heap::Fibonacci->VERSION . '
');

}
